> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/campaigns/{campaignId}/targeting/bundle-rules

> Returns a list of all targeted bundles for a campaign.



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json get /preview/campaigns/{campaignId}/targeting/bundle-rules
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/campaigns/{campaignId}/targeting/bundle-rules:
    get:
      tags:
        - Campaign
      summary: /preview/campaigns/{campaignId}/targeting/bundle-rules
      description: Returns a list of all targeted bundles for a campaign.
      operationId: GetCampaignBundleRules
      parameters:
        - name: campaignId
          in: path
          description: The campaign id
          required: true
          schema:
            type: string
            format: int32
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfTargetingEntity'
      security:
        - oauth:
            - MarketingSolutions_Campaign_Read
components:
  schemas:
    ApiResponseOfTargetingEntity:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/EntityWrapperOfTargetingEntity'
      description: Root object for the API response
    EntityWrapperOfTargetingEntity:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/TargetingEntity'
        type:
          type: string
          nullable: true
      description: Standard envelope for an entity
      nullable: true
    TargetingEntity:
      type: object
      properties:
        data:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/EntityFilter'
          nullable: true
        mode:
          enum:
            - BLOCKLIST
            - ALLOWLIST
          type: string
          description: Can be either BLOCKLIST or ALLOWLIST
          nullable: true
        type:
          enum:
            - DOMAIN
            - BUNDLE
          type: string
          description: Can be either DOMAIN or BUNDLE
          nullable: true
      description: Represents either an allowlisting or a blocklisting rule
      nullable: true
    EntityFilter:
      type: object
      properties:
        active:
          type: boolean
          nullable: true
        readOnly:
          type: boolean
          nullable: true
        value:
          type: string
          description: Could be a domain or a bundle depending on the context
          nullable: true
      description: Represents a filter value for a blocklist or allowlist rule
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````